package dev.fitko.fitconnect.api.config.defaults;

public final class ResourcePaths {

    private ResourcePaths() {
    }

    public static final String AUTH_TOKEN_PATH = "/token";

    public static final String DESTINATIONS_PATH = "/v1/destinations/%s";
    public static final String DESTINATIONS_KEY_PATH = "/v1/destinations/%s/keys/%s";

    public static final String EVENTS_PATH = "/v1/cases/%s/events";

    public static final String SUBMISSION_PATH = "/v1/submissions/%s";
    public static final String SUBMISSIONS_PATH = "/v1/submissions";
    public static final String SUBMISSION_ATTACHMENT_PATH = "/v1/submissions/%s/attachments/%s";

    public static final String ROUTING_AREA_PATH = "/v1/areas";
    public static final String ROUTING_ROUTE_PATH = "/v1/routes";

    public static final String WELL_KNOWN_KEYS_PATH = "/.well-known/jwks.json";
}

